Bug 18716 - CGI::param in list context warns in updatesupplier.pl
Summary: CGI::param in list context warns in updatesupplier.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-02 02:51 UTC by Tomás Cohen Arazi
Modified: 2017-06-13 06:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18716: Remove CGI::param warns from updatesupplier.pl (1.35 KB, patch)
2017-06-02 02:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18716: Remove CGI::param warns from updatesupplier.pl (1.47 KB, patch)
2017-06-02 17:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18716: Remove CGI::param warns from updatesupplier.pl (1.54 KB, patch)
2017-06-09 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-06-02 02:51:54 UTC

    
Comment 1 Tomás Cohen Arazi 2017-06-02 02:57:03 UTC
Created attachment 63901 [details] [review]
Bug 18716: Remove CGI::param warns from updatesupplier.pl

This script floods the logs with this kind of warnings.

To test:
- Run:
  $ koha-plack-err
- Edit a vendor in the acquisitions module
- Save
=> FAIL: Logs show lots of warnings that look like:
 CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_acqui_updatesupplier_2epl
- Apply this patch
- Run:
  $ restart_all
  $ koha-plack-err
- Edit a vendor, add/delete vendor contacts
=> SUCESS: No more warnings
- Verify editing and storing vendor contacts works as expected.
- Sign off :-D
Comment 2 Marc Véron 2017-06-02 17:28:14 UTC
Created attachment 63945 [details] [review]
Bug 18716: Remove CGI::param warns from updatesupplier.pl

This script floods the logs with this kind of warnings.

To test:
- Run:
  $ koha-plack-err
- Edit a vendor in the acquisitions module
- Save
=> FAIL: Logs show lots of warnings that look like:
 CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_acqui_updatesupplier_2epl
- Apply this patch
- Run:
  $ restart_all
  $ koha-plack-err
- Edit a vendor, add/delete vendor contacts
=> SUCESS: No more warnings
- Verify editing and storing vendor contacts works as expected.
- Sign off :-D

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-06-09 14:58:56 UTC
Created attachment 64147 [details] [review]
Bug 18716: Remove CGI::param warns from updatesupplier.pl

This script floods the logs with this kind of warnings.

To test:
- Run:
  $ koha-plack-err
- Edit a vendor in the acquisitions module
- Save
=> FAIL: Logs show lots of warnings that look like:
 CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_acqui_updatesupplier_2epl
- Apply this patch
- Run:
  $ restart_all
  $ koha-plack-err
- Edit a vendor, add/delete vendor contacts
=> SUCESS: No more warnings
- Verify editing and storing vendor contacts works as expected.
- Sign off :-D

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-09 15:47:54 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-12 10:40:12 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-13 06:02:21 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.